#
# spec file for package gm (Version 1.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         gm
Summary:      The GM system includes a driver, Myrinet-interface control program, a network mapping program, and the GM API, library, and header files. GM features include:
Version:      1.4
Release:      88
Copyright:Freeware
Group: System Environment/Libraries
URL: http:://www.myri.com/scs/
Source: gm-%{version}.tar.bz2
Source1: Makefile.module
Patch:  gm-%{version}.dif
BuildRoot: /var/tmp/gm-%{version}-root
Prefix: /usr

%description
The GM system includes a driver, Myrinet-interface control program, a network mapping program, and the GM API, library, and header files. GM features include:
Concurrent, protected, user-level access to the Myrinet interface.
Reliable, ordered delivery of messages.
Automatic mapping and route computation.
Automatic recovery from transient network problems.
Extensible software, allowing simultaneous direct support of the GM API, pseudo-ethernet (IP), MPI, and other APIs.
Scalability to thousands of nodes.
Very low host-CPU utilization.

Authors:
--------
    Myricom <help@myri.com>

SuSE series: beo

%package -n km_gm
Summary:      Kernel module for GM - For internal use only
Group:        System Environment/Kernel
Autoreqprov:  no

%description -n km_gm
Kernel module for GM - For internal use only

Authors:
--------
    Myricom <help@myri.com>

SuSE series: suse

%prep
%setup -q 
%patch

%build
%ifnarch ia64
CFLAGS="$RPM_OPT_FLAGS" sh ./configure --prefix=%{prefix} --with-linux=/usr/src/linux --enable-linux-modersions --enable-install_dso
%else
CFLAGS="$RPM_OPT_FLAGS" sh ./configure --enable-16k --disable-8k --disable-4k --disable-directcopy --enable-linux-modversions --prefix=%{prefix} --with-linux=/usr/src/linux 
%endif
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{prefix}/{sbin,bin,include,share/info,lib}
install -d $RPM_BUILD_ROOT/etc/gm
mv binary/bin/*README doc
cp binary/bin/* $RPM_BUILD_ROOT%{prefix}/bin
cp binary/sbin/mapper $RPM_BUILD_ROOT%{prefix}/sbin
cp binary/sbin/{active.args,passive.args} $RPM_BUILD_ROOT/etc/gm
cp binary/info/gm.info $RPM_BUILD_ROOT%{prefix}/share/info
cp binary/include/* $RPM_BUILD_ROOT%{prefix}/include
cp binary/lib/* $RPM_BUILD_ROOT%{prefix}/lib
#make INSTALL_PREFIX=$RPM_BUILD_ROOT install_package
rm -rf  $RPM_BUILD_ROOT%{prefix}/doc
rm -rf $RPM_BUILD_ROOT/etc/init.d/gm
install -d $RPM_BUILD_ROOT/etc/init.d
install -m 744 gm.init $RPM_BUILD_ROOT/etc/init.d/gm
install -d $RPM_BUILD_ROOT/usr/sbin
rm -f $RPM_BUILD_ROOT/usr/sbin/rcgm
ln -sf ../../etc/init.d/gm $RPM_BUILD_ROOT/usr/sbin/rcgm
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 rc.config.gm $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.gm
install -m 644 rc.config.d.gm $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.d.gm
make clean
./configure --prefix=%{prefix} --with-linux=/usr/src/linux --enable-linux-modersions
(
install -d $RPM_BUILD_ROOT/usr/src/kernel-modules
cd $RPM_BUILD_ROOT/usr/src/kernel-modules
cp -a $RPM_BUILD_DIR/gm-%{version} .
cp %{SOURCE1} ./gm-%{version}/
)
(
cd /usr/src/linux
[ -f .config.rpm ] && mv .config.rpm .config
)

%post
sbin/insserv etc/init.d/gm
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  if ! [ -d etc/rc.config.d ] ; then
     mkdir -p etc/rc.config.d
  fi
  if ! [ -f etc/rc.config.d/gm.rc.config ] ; then
     bin/fillup -q -r -i etc/rc.config var/adm/fillup-templates/rc.config.d.gm etc/rc.config.d/gm.rc.config
     mv etc/rc.config.new etc/rc.config
  else
     bin/fillup -q etc/rc.config.d/gm.rc.config var/adm/fillup-templates/rc.config.d.gm
  fi
  bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.gm
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.gm"
  echo "and update by hand."
fi       

%postun
sbin/insserv etc/init.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc CHANGES COPYING MANIFEST  README-linux* doc/*
/usr/bin/*
/usr/sbin/mapper
/usr/include/*
/usr/lib/*
%{prefix}/share/info/gm*
%dir /etc/gm
%config /etc/gm/active.args
%config /etc/gm/passive.args
%config /etc/init.d/gm 
/usr/sbin/rcgm
/var/adm/fillup-templates/rc.config.gm
/var/adm/fillup-templates/rc.config.d.gm

%files -n km_gm
/usr/src/kernel-modules/*

%changelog -n gm
* Tue Jul 10 2001 - nashif@suse.de
- Fixed bug #9065
- Fixed kernel module name gm->gm.o
- Modified init script
* Thu Jun 14 2001 - nashif@suse.de
- Fixed include file <gm.h> to identify ia64 CPU
* Thu Apr 05 2001 - uli@suse.de
- removed lx_suse from neededforbuild
* Thu Mar 22 2001 - nashif@suse.de
- Fix Makefile.module
- Added Makefile.module as source and not patch.
* Fri Mar 16 2001 - nashif@suse.de
- Update to 1.4 final
* Tue Mar 13 2001 - nashif@suse.de
- Update to 1.4pre56
* Thu Feb 22 2001 - nashif@suse.de
- Fixed to compile on alpha with gcc 2.96
* Tue Feb 20 2001 - nashif@suse.de
- Update to version 1.4pre51
- Fixes to allow build on ia64
* Fri Dec 01 2000 - uli@suse.de
- adapted to new init scheme
* Tue Nov 14 2000 - nashif@suse.de
- Changed neededforbuild -lx_suse, +lx_sus22
* Mon Oct 30 2000 - nashif@suse.de
- Update to version 1.2.3
- now creates km_gm for the gm module
* Fri May 26 2000 - nashif@suse.de
- Update to version 1.2pre16
* Fri May 05 2000 - nashif@suse.de
- Changed spec to use 2.2 kernel
* Sat Apr 22 2000 - nashif@suse.de
- Update to version 1.2pre12
* Wed Apr 12 2000 - nashif@suse.de
- Update to version 1.2pre11
* Wed Apr 05 2000 - nashif@suse.de
- Initial Release (Version 1.2pre10)
